Skills
List skill runs
List authorized Skill runs in one Space.
Authorization
bearerApiKey AuthorizationBearer <token>
Create a scoped API key in the Adlass settings.
In: header
Query Parameters
space_id*string
Filter or parameter: space_id.
Format
uuidskill_id?string
Filter or parameter: skill_id.
Format
uuidstatus?string
Filter or parameter: status.
limit?integer
Filter or parameter: limit.
Range
1 <= value <= 100Default
50cursor?string
Opaque continuation cursor from the previous response.
Length
length <= 2048Header Parameters
X-Request-Id?string
Optional correlation identifier.
Length
length <= 128Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/skill-runs?space_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "items": [ { "id": "123e4567-e89b-42d3-a456-426614174000", "space_id": "123e4567-e89b-42d3-a456-426614174000", "installation_id": "123e4567-e89b-42d3-a456-426614174000", "skill_id": "123e4567-e89b-42d3-a456-426614174000", "skill_name": "Invoice extractor", "version_id": "123e4567-e89b-42d3-a456-426614174000", "version": 0, "requested_by_id": "123e4567-e89b-42d3-a456-426614174000", "requested_by": { "id": "123e4567-e89b-42d3-a456-426614174000", "email": "ada@example.com", "name": "Customer documents", "image_url": "example" }, "actor_type": "api", "origin": "manual", "entry": "example", "entry_script_run_id": "123e4567-e89b-42d3-a456-426614174000", "trigger": { "id": "123e4567-e89b-42d3-a456-426614174000", "kind": "schedule" }, "status": "ACTIVE", "model": "claude-sonnet-5", "reasoning_effort": "medium", "effective_max_turns": 0, "review_max_rounds": 0, "instruction": "example", "dry_run": false, "cost_micro_usd": 0, "micro_credits": 0, "turns_used": 0, "pages": [], "error_code": "example", "error_message": "example", "started_at": "2026-09-04T12:00:00Z", "completed_at": "2026-09-04T12:00:00Z", "created_at": "2026-09-04T12:00:00Z", "reversal": { "id": "123e4567-e89b-42d3-a456-426614174000", "status": "ACTIVE", "requested_by_id": "123e4567-e89b-42d3-a456-426614174000", "skip_conflicts": false, "summary": {}, "error_code": "example", "created_at": "2026-09-04T12:00:00Z", "started_at": "2026-09-04T12:00:00Z", "completed_at": "2026-09-04T12:00:00Z" }, "undo": { "available": false, "blocked_reason": "example" } } ], "next_cursor": null}